%define  fcitx_ver  4.2.8.3
%define  kde_ver    4.11.3

Name:     kcm-fcitx
Summary:  KDE4 contorol Module for Fcitx
Version:  0.4.3
Release:  %mkrel 1
Group:    System/Internationalization
License:  GPLv2+
URL:      http://code.google.com/p/fcitx

Source0:  http://download.fcitx-im.org/%{name}/%{name}-%{version}.tar.xz
# Source1 from openSUSE M17N repo.
Source1:  input-keyboard.svg

BuildRequires:  kdelibs-devel >= %{kde_ver}
BuildRequires:  fcitx-devel >= %{fcitx_ver}
BuildRequires:  cmake
BuildRequires:  gettext
BuildRequires:  gcc-c++
BuildRequires:  intltool
BuildRequires:  librsvg
BuildRequires:  unique-3.0-devel

Requires:  fcitx >= %{fcitx_ver}
Requires:  kde-runtime >= %{kde_ver}
Requires(post,postun):  desktop-file-utils

Provides:  fcitx-config-kde4 = %{version}

%description
kcm-fcitx is a KDE control module for Fcitx.

You can config fcitx through "Configue Desktop" - "Locale" - Fcitx now.


%prep
%setup -q -n %{name}-%{version}


%build
%cmake_kde4
%make


%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std -C build

for i in 16 22 32 48 64 128 256; do
  mkdir -pv $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/${i}x${i}/devices/
  rsvg-convert -h $i -w $i %{SOURCE1} -o $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/${i}x${i}/devices/input-keyboard.png
done

%find_lang %{name} --all-name --with-kde


%clean
rm -rf $RPM_BUILD_ROOT


%post
%update_desktop_database

%postun
%clean_desktop_database


%files -f %{name}.lang
%doc COPYING
%{_bindir}/kbd-layout-viewer
%{_libdir}/kde4/kcm_fcitx.so
%{_datadir}/applications/kde4/kbd-layout-viewer.desktop
%{_datadir}/kde4/services/kcm_fcitx.desktop
%{_datadir}/config/fcitx-skin.knsrc
%{_datadir}/icons/hicolor/*/devices/input-keyboard.png


%changelog
* Wed Nov 13 2013 pinoc <vogtpet at gmail.com> 0.4.3-1pclos2013
- imported from tomcat
